Bug 882089 - [RFE] Request support different format of WWPN in targetcli
Summary: [RFE] Request support different format of WWPN in targetcli
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-target-utils
Version: 6.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 05:05 UTC by Gris Ge
Modified: 2013-03-18 18:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-25 23:52:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gris Ge 2012-11-30 05:05:24 UTC
Description of problem:

When executing this command:
===
/tcm_fc/20:00:00:1b:21:59:12:37/acls/ create 20:00:00:10:18:88:E9:49
===

targetcli automatically change "20:00:00:10:18:88:E9:49" to "20:00:00:10:18:88:e9:49"

But when execute this command:
===
/tcm_fc/20:00:00:1b:21:59:12:37/acls/20:00:00:10:18:88:E9:49 create 0 0
===
It fail as:
===
No such path /tcm_fc/20:00:00:1b:21:59:12:37/acls/20:00:00:10:18:88:E9:4B
===

So internally, please allow target to support these type of WWPN:
====
20:00:00:10:18:88:E9:49
20-00-00-10-18-88-E9-49
200000101888E949
200000101888e949
====

Version-Release number of selected component (if applicable):
fcoe-target-utils-2.0rc1.fb16-2.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andy Grover 2013-01-25 23:52:21 UTC
Can't do this. There's only one configuration path for that ACL, it is the colon-separated version with lowercase hex letters.

Closing, but I've opened bug 904284, which is feasible.


Note You need to log in before you can comment on or make changes to this bug.